## e2undel 0.8

=== Makefile ===
VERSION = 0.8
OBJ_UNDEL = find_del.o log.o
OBJ_FILE = apprentice.o ascmagic.o is_tar.o softmagic.o
H_FILE = e2undel.h file.h names.h tar.h magic.h common.h
C_FILE = libundel.c e2undel.c find_del.c log.c\
	 file.c apprentice.c ascmagic.c is_tar.c softmagic.c\
         compactlog.c
DOC_FILE = HISTORY BUGS README README.de INSTALL INSTALL.de
OTHER_FILE = Makefile
DEVEL_FILE = magic.h.ALT choose_inodes.c x.c

CC		= gcc
LIBS_UNDEL	= -lext2fs -lcom_err -lss
CFLAGS		= -O2 -g -Wall
LDFLAGS		= -Wall -g


e2undel-file: e2undel-file.o $(OBJ_UNDEL) $(OBJ_FILE)
	$(CC) $(LDFLAGS) -o e2undel e2undel-file.o\
	$(OBJ_UNDEL) $(OBJ_FILE) $(LIBS_UNDEL)
e2undel-file.o: e2undel.c e2undel.h
	gcc $(CFLAGS) -DWITH_FILE -c -o e2undel-file.o e2undel.c

e2undel: e2undel.o $(OBJ_UNDEL)
	$(CC) $(LDFLAGS) -o e2undel e2undel.o $(OBJ_UNDEL) $(LIBS_UNDEL)
e2undel.o: e2undel.c e2undel.h
	gcc $(CFLAGS) -c -o e2undel.o e2undel.c
$(OBJ_UNDEL) : e2undel.h


libundel: libundel.o
	ld -shared -soname libundel.so.1 -ldl -o libundel.so.1.0 libundel.o
libundel.o: libundel.c
	gcc -Wall -fPIC -c libundel.c

compactlog: compactlog.o log.o
	gcc $(CFLAGS) compactlog.o log.o -o compactlog

file:	file.o $(OBJ_FILE)
	$(CC) $(LDFLAGS) -o file file.o $(OBJ_FILE)
$(OBJ_FILE) : file.h names.h tar.h magic.h common.h

.c.o:
	gcc $(CFLAGS) -c $<

clean:
	rm -f $(OBJ_UNDEL) $(OBJ_FILE) file.o e2undel.o e2undel-file.o\
	libundel.so.1.0 compactlog.o compactlog e2undel
	

all:	libundel e2undel-file compactlog

dist:	e2undel.tgz
e2undel.tgz:
	sed -e 's/#define VERSION ".*"/#define VERSION "$(VERSION)"/'\
	e2undel.h > tmp
	if test -f tmp; then mv tmp e2undel.h; fi
	mkdir e2undel-$(VERSION)
	cp $(DOC_FILE) $(OTHER_FILE) $(H_FILE) $(C_FILE) e2undel-$(VERSION)/
	tar czf e2undel-$(VERSION).tgz e2undel-$(VERSION)/*
	rm -rf e2undel-$(VERSION)/

dist-devel: e2undel-devel.tgz
e2undel-devel.tgz:
	sed -e 's/#define VERSION ".*"/#define VERSION "$(VERSION)"/'\
	e2undel.h > tmp
	if test -f tmp; then mv tmp e2undel.h; fi
	mkdir e2undel-$(VERSION)
	cp $(DEVEL_FILE) $(DOC_FILE) $(OTHER_FILE) $(H_FILE) $(C_FILE) e2undel-$(VERSION)/
	tar czf e2undel-$(VERSION)-devel.tgz e2undel-$(VERSION)/*
	rm -rf e2undel-$(VERSION)/

## e2undel 0.82-1

=== doc/Makefile ===
e2undel.8: e2undel.sgml
#	nsgmls e2undel.sgml | sgmlspl sgmlspl-specs/docbook2man-spec.pl
	/usr/bin/docbook-to-man e2undel.sgml > e2undel.8

clean:
	-rm -f e2undel.8

=== debian/changelog ===
e2undel (0.82-1) unstable; urgency=low

  * Upgrade to the latest upstream release (CLoses: #391509)
     (from upsream) - This release adds large file support (LFS) in order to
     access file system images that are larger than 2 GByte. 
  * Add some documents from the website describing how to use it and how
    does it work.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 10 Apr 2007 15:52:07 +0200

e2undel (0.8-8) unstable; urgency=low

  * Fix Makefile so it compiles properly with latest make (Closes: #354200)
  * Use debhelper compatibility version 4

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 25 Feb 2006 14:35:24 +0100

e2undel (0.8-7) unstable; urgency=medium

  * Fixed to cope to compile properly by avoiding including stuff from 
    linux-kernel-headers (linux/ext2fs.h).  (Closes: #227999) 

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 23 Jan 2004 16:33:59 +0100

e2undel (0.8-6) unstable; urgency=low

  * Applied patch improving the manpage as provided by  Helge Kreutzmann
  (Closes: #215516)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 28 Oct 2003 01:51:06 +0100

e2undel (0.8-5) unstable; urgency=low

  * Fixed the email address of the author (Closes: #194058)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  4 Jun 2003 00:57:51 +0200

e2undel (0.8-4) unstable; urgency=low

  * Fixed issue with e2fsprogs 1.33 (Closes: 191208)
  * Removed author(s) template.
  * Added Homepage: to debian/control

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 14 May 2003 23:32:40 +0200

e2undel (0.8-3) unstable; urgency=low

  * Added some of the things submitted by Chris Niekel to the current
   manpage (Closes: #183865)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat,  8 Mar 2003 15:19:27 +0100

e2undel (0.8-2) unstable; urgency=low

  * Fixed typo in description (Closes: #173685)
  * Added manpage contributed by Helge Kreutzmann (Closes: #173933)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 30 Dec 2002 18:05:23 +0100

e2undel (0.8-1) unstable; urgency=low

  * Initial Release (does not compile libundel)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 13 Dec 2002 14:22:39 +0100

=== debian/control ===
Source: e2undel
Section: admin
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends: debhelper (>> 3.0.0), e2fslibs-dev, ss-dev, docbook-to-man 
Standards-Version: 3.5.2

Package: e2undel
Architecture: any
Depends: ${shlibs:Depends}
Description: Undelete utility for the ext2 file system
 Interactive console tool to recover the data of deleted files on
 an ext2 file system under Linux. It does not require knowledge
 about how ext2 file systems works and should be usable by
 most people.
 .
 This tools searches all inodes marked as deleted on a file system and 
 lists them as sorted by owner and time of deletion. Additionally, 
 it gives you the file size and tries to determine the file type in 
 the way file(1) does. If you did not just delete a whole bunch of 
 files with a 'rm -r *', this information should be helpful to find 
 out which of the deleted files you would like to recover.
 .
 E2undel will not work on ext3 (journaling) filesystems.
 .
 Homepage: http://e2undel.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cd doc && $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-(cd doc && $(MAKE) clean)

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/e2undel.
	install -m755 e2undel $(CURDIR)/debian/e2undel/usr/sbin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs 
#	dh_installexamples
#	dh_installmenu
#	dh_installpam
#	dh_installcron
	dh_installman doc/e2undel.8
#	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## e2undel 0.82-1.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-VERSION = 0.8
+VERSION = 0.82
 OBJ_UNDEL = find_del.o log.o
 OBJ_FILE = apprentice.o ascmagic.o is_tar.o softmagic.o
 H_FILE = e2undel.h file.h names.h tar.h magic.h common.h
-C_FILE = libundel.c e2undel.c find_del.c log.c\
-	 file.c apprentice.c ascmagic.c is_tar.c softmagic.c\
+C_FILE = libundel.c e2undel.c find_del.c log.c \
+	 file.c apprentice.c ascmagic.c is_tar.c softmagic.c \
          compactlog.c
 DOC_FILE = HISTORY BUGS README README.de INSTALL INSTALL.de
 OTHER_FILE = Makefile
@@ -11,12 +11,12 @@
 
 CC		= gcc
 LIBS_UNDEL	= -lext2fs -lcom_err -lss
-CFLAGS		= -O2 -g -Wall
+CFLAGS		= -O2 -g -Wall 
 LDFLAGS		= -Wall -g
 
 
 e2undel-file: e2undel-file.o $(OBJ_UNDEL) $(OBJ_FILE)
-	$(CC) $(LDFLAGS) -o e2undel e2undel-file.o\
+	$(CC) $(LDFLAGS) -o e2undel e2undel-file.o \
 	$(OBJ_UNDEL) $(OBJ_FILE) $(LIBS_UNDEL)
 e2undel-file.o: e2undel.c e2undel.h
 	gcc $(CFLAGS) -DWITH_FILE -c -o e2undel-file.o e2undel.c
@@ -44,7 +44,7 @@
 	gcc $(CFLAGS) -c $<
 
 clean:
-	rm -f $(OBJ_UNDEL) $(OBJ_FILE) file.o e2undel.o e2undel-file.o\
+	rm -f $(OBJ_UNDEL) $(OBJ_FILE) file.o e2undel.o e2undel-file.o \
 	libundel.so.1.0 compactlog.o compactlog e2undel
 	
 
@@ -52,7 +52,7 @@
 
 dist:	e2undel.tgz
 e2undel.tgz:
-	sed -e 's/#define VERSION ".*"/#define VERSION "$(VERSION)"/'\
+	sed -e 's/#define VERSION ".*"/#define VERSION "$(VERSION)"/' \
 	e2undel.h > tmp
 	if test -f tmp; then mv tmp e2undel.h; fi
 	mkdir e2undel-$(VERSION)
@@ -62,7 +62,7 @@
 
 dist-devel: e2undel-devel.tgz
 e2undel-devel.tgz:
-	sed -e 's/#define VERSION ".*"/#define VERSION "$(VERSION)"/'\
+	sed -e 's/#define VERSION ".*"/#define VERSION "$(VERSION)"/' \
 	e2undel.h > tmp
 	if test -f tmp; then mv tmp e2undel.h; fi
 	mkdir e2undel-$(VERSION)

=== debian/changelog ===
e2undel (0.82-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on GNU/kFreeBSD (Closes: #542518):
     - Make the <linux/limits.h> include conditional in file.h: only when
       linux is defined. As stated in the bugreport, that include might
       not be needed at all, but let's just stay on the safe side.
  * Fix a few lintian warnings:
     - Use debian/compat rather than DH_COMPAT in debian/rules.
     - Adjust the version for debhelper's Build-Depends.
     - Stop ignoring errors during make clean.
     - Move Homepage out of the long description.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 21 Dec 2009 08:44:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
-Build-Depends: debhelper (>> 3.0.0), e2fslibs-dev, ss-dev, docbook-to-man 
+Build-Depends: debhelper (>= 4), e2fslibs-dev, ss-dev, docbook-to-man 
 Standards-Version: 3.5.2
+Homepage: http://e2undel.sourceforge.net
 
 Package: e2undel
 Architecture: any
@@ -22,5 +23,3 @@
  out which of the deleted files you would like to recover.
  .
  E2undel will not work on ext3 (journaling) filesystems.
- .
- Homepage: http://e2undel.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=4
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
@@ -40,8 +37,8 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
-	-(cd doc && $(MAKE) clean)
+	$(MAKE) clean
+	(cd doc && $(MAKE) clean)
 
 	dh_clean
